FF-C++(1)

NAME
ff-c++ - tool for automatic compilation with FreeFem++ library

SYNOPSIS
ff-c++ [OPTIONS] FILE 'LDFLAGS' 'CPPFLAGS' The following extensions cpp,cp,cxx,c,f,F may be dropped in FILE.

DESCRIPTION

Compile FILE with freefem+ library with additional LDFLAGS and CPPFLAGS options

Mandatory arguments to long options are mandatory for short options too.

-auto build automatically the dependence

-n  do nothing just print

-g  compile with -g option

-c compile only

-mpi  with  mpi

-O*  compile with -O* option

-cygwin compile for cygwin/win32 OS (Window XP, ...)

-win32  compile for win32 OS (Window XP, ...) default under cygwin

-l files  add files to the ld process (link)

-I dir  add dir in include search dir for compilation

-b dir  to change the default install  dir

-dll file  add  dll and this file copy in the install dir

-o outputfile without suffix

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has detailed documentation in the manual; see below.

SEE ALSO
The extensive manual of FreeFem++ is written in LaTeX and it is available in Postscript format in /usr/share/doc/freefem++/ on your hard disc.

AUTHOR
This manual page was written by Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, for the Debian project (but may be used by others).